package com.njcn.pojo.advanced;

import java.io.Serializable;

/*
终端监测点名称信息
nameGD:供电公司名称
nameBD:变电站名称
nameSubV:母线名称
namePoint:监测点名称
indexPoint:监测点的唯一标识

新增add
xuyang
2021.05.11
监测点电压等级:monitorVoltageLevel
监测点干扰源类型终:monitorLoadType
*/
public class PlantInfo implements Serializable {
	private int indexPoint;
	private String nameGD;
	private String nameBD;
	private String nameSubV;
	private String namePoint;
	private String monitorVoltageLevel;
	private String monitorLoadType;
	private String objName;

	public String getObjName() {
		return objName;
	}

	public void setObjName(String objName) {
		this.objName = objName;
	}

	public int getIndexPoint() {
		return indexPoint;
	}

	public void setIndexPoint(int indexPoint) {
		this.indexPoint = indexPoint;
	}

	public String getNameGD() {
		return nameGD;
	}

	public void setNameGD(String nameGD) {
		this.nameGD = nameGD;
	}

	public String getNameBD() {
		return nameBD;
	}

	public void setNameBD(String nameBD) {
		this.nameBD = nameBD;
	}

	public String getNameSubV() {
		return nameSubV;
	}

	public void setNameSubV(String nameSubV) {
		this.nameSubV = nameSubV;
	}

	public String getNamePoint() {
		return namePoint;
	}

	public void setNamePoint(String namePoint) {
		this.namePoint = namePoint;
	}

	public String getMonitorVoltageLevel() {
		return monitorVoltageLevel;
	}

	public void setMonitorVoltageLevel(String monitorVoltageLevel) {
		this.monitorVoltageLevel = monitorVoltageLevel;
	}

	public String getMonitorLoadType() {
		return monitorLoadType;
	}

	public void setMonitorLoadType(String monitorLoadType) {
		this.monitorLoadType = monitorLoadType;
	}

	@Override
	public String toString() {
		return "PlantInfo{" +
				"indexPoint=" + indexPoint +
				", nameGD='" + nameGD + '\'' +
				", nameBD='" + nameBD + '\'' +
				", nameSubV='" + nameSubV + '\'' +
				", namePoint='" + namePoint + '\'' +
				", monitorVoltageLevel='" + monitorVoltageLevel + '\'' +
				", monitorLoadType='" + monitorLoadType + '\'' +
				'}';
	}
}
